# Uses of Interface
org.apache.avro.compiler.schema.SchemaVisitor

Packages that use SchemaVisitor
Package
Description
org.apache.avro.compiler.schema

## Uses of SchemaVisitor in org.apache.avro.compiler.schema

Classes in org.apache.avro.compiler.schema that implement SchemaVisitor
Modifier and Type
Class
Description
`final class`
`CloningVisitor`
this visitor will create a clone of the original Schema with docs and other nonessential fields stripped by default. what attributes are copied is customizable.
Methods in org.apache.avro.compiler.schema with parameters of type SchemaVisitor
Modifier and Type
Method
Description
`static <T> T`
Schemas.`visit(org.apache.avro.Schema start, SchemaVisitor<T> visitor)`
depth first visit.